# PSF-LoginServer - master - net.psforever.objects.loadouts.Loadout.ShorthandTriggerItem
PSF - LoginServer - master - net.psforever.objects.loadouts.Loadout.ShorthandTriggerItem
Keywords: PSF LoginServer master net.psforever.objects.loadouts.Loadout.ShorthandTriggerItem

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package loadouts
  Definition Classes
    objects
-  object Loadout
  Definition Classes
    loadouts
- ShorthandAmmoBox
- ShorthandAmmoSlot
- ShorthandConstructionItem
- ShorthandKit
- ShorthandSimpleItem
- ShorthandTool
- ShorthandTriggerItem
- Simplification
- SimplifiedEntry

c

net.psforever.objects.loadouts.Loadout

# ShorthandTriggerItem

###

#### final case class ShorthandTriggerItem(definition: SimpleItemDefinition) extends Simplification with Product with Serializable

The simplified form of a `BoomerTrigger`, a unique kind of `SimpleItem`.

definition

  the `SimpleItemDefinition` that describes this future object; actually ignored, but retained for function definition consistency

Source
  Loadout.scala

Linear Supertypes
Serializable, Product, Equals, Simplification, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ShorthandTriggerItem
2. Serializable
3. Product
4. Equals
5. Simplification
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ShorthandTriggerItem(definition: SimpleItemDefinition)

   definition

     the `SimpleItemDefinition` that describes this future object; actually ignored, but retained for function definition consistency

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val definition: SimpleItemDefinition
   Definition Classes
     ShorthandTriggerItem → Simplification
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
17.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Simplification

### Inherited from AnyRef

### Inherited from Any

### Ungrouped